Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.crosstabs
Interface JRCrosstabCell

All Superinterfaces:
  java.lang.Cloneable, JRCloneable

All Known Implementing Classes:
  JRBaseCrosstabCell, JRDesignCrosstabCell, JRFillCrosstabCell

    public interface JRCrosstabCell

extends JRCloneable

Crosstab data cell interface.

Version:
  $Id: JRCrosstabCell.java 3032 2009-08-27 11:32:28Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  `JRCrosstab.getCells()`

Method Summary
`java.lang.String` | `getColumnTotalGroup()` Returns the name of the column group if the crosstab cell corresponds to a total column and `null` otherwise.
`JRCellContents` | `getContents()` Returns the cell contents.
`java.lang.Integer` | `getHeight()` Returns the height of the cell.
`java.lang.String` | `getRowTotalGroup()` Returns the name of the row group if the crosstab cell corresponds to a total row and `null` otherwise.
`java.lang.Integer` | `getWidth()` Returns the width of the cell.

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Method Detail

### getWidth

    java.lang.Integer getWidth()

  Returns the width of the cell.

  The width of the cell can be unspecified. The width used for the cell is computed base on the rules described `here`.

  Returns:
    the width of the cell

### getHeight

    java.lang.Integer getHeight()

  Returns the height of the cell.

  The height of the cell can be unspecified. The height used for the cell is computed base on the rules described `here`.

  Returns:
    the width of the cell

### getRowTotalGroup

    java.lang.String getRowTotalGroup()

  Returns the name of the row group if the crosstab cell corresponds to a total row and `null` otherwise.

  Returns:
    the name of the total row group this cell corresponds to

### getColumnTotalGroup

    java.lang.String getColumnTotalGroup()

  Returns the name of the column group if the crosstab cell corresponds to a total column and `null` otherwise.

  Returns:
    the name of the total column group this cell corresponds to

### getContents

    JRCellContents getContents()

  Returns the cell contents.

  Should never return null, but empty cell contents instead.

  Returns:
    the cell contents

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com